## pida 0.4.4

=== extras/pida-www/Makefile ===
# Tahchee makefile template version 0.9.8
PYTHON  = /usr/bin/env python
LOCAL   = Site/Local
REMOTE  = Site/Remote

local:
	$(PYTHON) build.py local

remote:
	$(PYTHON) build.py remote

clean:
	find . -name "*~" -or -name "*.sw?" -or -name "*.pyc" -exec rm {} ';'
	rm -rf $(LOCAL)/*
	rm -rf $(REMOTE)/*
	rm site.checksums

info:
	@echo 'local    - builds local website'
	@echo 'remote   - builds remote website'
	@echo 'clean    - cleans build and removes temp files'

archive: Pages Templates Makefile build.py 
	mkdir tahchee-sources
	cp -r Pages Templates Makefile build.py tahchee-sources
	tar cvfj tahchee-sources.tar.bz2 tahchee-sources
	rm -rf tahchee-sources

.PHONY: local remote archive info clean

## pida 0.5.1

=== moo/Makefile ===
HEADERS = moopaned.h moopane.h moobigpaned.h moomarshals.h stock-moo.h
OBJECTS = moopaned.o moopane.o moobigpaned.o test.o moomarshals.o
PICS = close.png sticky.png hide.png detach.png attach.png keepontop.png

CFLAGS = `pkg-config --cflags gtk+-2.0` -W -Wall -DMooPane=_PidaMooPane \
-DMooPaneClass=_PidaMooPaneClass -DMooPaned=_PidaMooPaned -DMooPanedClass=_PidaMooPanedClass \
-DMooBigPaned=_PidaMooBigPaned -DMooBigPanedClass=_PidaMooBigPanedClass
LIBS = `pkg-config --libs gtk+-2.0`
PYGTK_DEFS_DIR=`pkg-config --variable=defsdir pygtk-2.0`

test: $(OBJECTS)
	gcc $(LIBS) $(OBJECTS) -o test

moomarshals.c: moomarshals.list
	echo '#include "moomarshals.h"' > $@.tmp &&	\
	glib-genmarshal --prefix=_moo_marshal --body	\
	       moomarshals.list >> $@.tmp && mv $@.tmp $@
moomarshals.h: moomarshals.list
	glib-genmarshal --prefix=_moo_marshal --header	\
	       moomarshals.list > $@.tmp && mv $@.tmp $@

stock-moo.h: $(PICS)
	gdk-pixbuf-csource --static --build-list	\
		MOO_HIDE_ICON hide.png			\
		MOO_CLOSE_ICON close.png		\
		MOO_STICKY_ICON sticky.png		\
		MOO_DETACH_ICON detach.png		\
		MOO_ATTACH_ICON attach.png		\
		MOO_KEEP_ON_TOP_ICON keepontop.png	\
			> $@.tmp && mv $@.tmp $@

%-prepro.c: %.c $(HEADERS)
	gcc $(CFLAGS) $*.c -c -E > $*-prepro.c
%.o: %.c $(HEADERS)
	gcc $(CFLAGS) $*.c -c -o $@
moomarshals.o: moomarshals.c moomarshals.h
	gcc $(CFLAGS) -Wno-unused moomarshals.c -c -o $@

clean:
	rm -f *.o test paned.tar.bz2 moomarshals.[ch] stock-moo.h moo-pygtk.c *.pyc

dist:
	rm -fr paned.tar.bz2 paned/ && \
	mkdir paned && \
	cp moo-stub.c moo.override moo.defs moopaned.override moopaned.defs \
		moopane.h moopaned.h moobigpaned.h $(PICS) \
		moopane.c moopaned.c moobigpaned.c test.c \
		moomarshals.list Makefile paned/ && \
	tar cjf paned.tar.bz2 paned/ && \
	rm -fr paned/

distcheck:
	make dist && tar xjf paned.tar.bz2 && cd paned && \
	make && make dist && mv paned.tar.bz2 ../ && \
	cd .. && rm -fr paned

prepare: moomarshals.c moomarshals.h stock-moo.h moo-pygtk.c

moo-pygtk.c: moo.defs moopaned.defs moo.override moopaned.override
	pygtk-codegen-2.0 --prefix _moo_stub \
		--register $(PYGTK_DEFS_DIR)/gtk-types.defs \
		--register $(PYGTK_DEFS_DIR)/gdk-types.defs \
		--override moo.override \
		--outfilename moo-pygtk.c \
		moo.defs > $@.tmp && \
		mv $@.tmp $@

=== contrib/kiwi/Makefile ===
VERSION=$(shell python -c "execfile('kiwi/__version__.py'); print '.'.join(map(str, version))")
PACKAGE=kiwi
WEBDIR=/mondo/htdocs/async/projects/kiwi
TARBALL_DIR=/mondo/htdocs/stoq.com.br/download/sources

include common/async.mk

all:
	python setup.py build_ext -i

clean-docs:
	rm -fr doc/api
	rm -fr doc/howto

clean: clean-docs
	debclean
	rm -fr $(BUILDDIR)
	rm -f MANIFEST
	rm -fr kiwi/_kiwi.so

docs:
	make -s -C doc api howto

web: clean-docs docs
	cp -r doc/api ${WEBDIR}
	cp -r doc/howto ${WEBDIR}
	cp -r doc/howto.ps ${WEBDIR}
	gzip ${WEBDIR}/howto.ps
	cd ${WEBDIR} && tar cfz howto.tar.gz howto
	cd ${WEBDIR} && tar cfz api.tar.gz api

bdist:
	python setup.py -q bdist_wininst

release-tag:
	svn cp -m "Tag $(VERSION)" . svn+ssh://svn.async.com.br/pub/kiwi/tags/$(VERSION)

upload-release: sdist bdist
	scp dist/$(TARBALL) gnome.org:
	ssh gnome.org install-module $(TARBALL)
	scp dist/kiwi-$(VERSION).win32.exe gnome.org:/ftp/pub/GNOME/binaries/win32/kiwi/

.PHONY: bdist upload-release

=== debian/changelog ===
pida (0.5.1-6) unstable; urgency=low

  * merge NMUs; thanks to Marek Kubica and Sandro Tosi.
  * remove python-gtkhtml2 completely; its gone for good (closes: #549033)
  * move to 3.0 (quilt) source format
  * update maintainer's email address
  * transition from python-central to dh_python2 (closes: #616937)
  * patches/0000-call-vim.gnome.patch:
    - "gvim" is too generic a name now, we need to depend on vim-gnome
      (thanks to Moritz Muehlenhoff for the idea; closes: #582524)
    - also, depend on vim-gnome
  * patches/0001-pida-optionsmanager-NoneTypeFix.diff:
    - optionsmanager: do the prefill only of current is not None
      (thanks to Nick Daly; closes: #519152)
  * fix some linitan warnings
  * bump debhelper compat level to 7 (still allowing lucid builds)
  * update Standards-Version to 3.9.2.0 (no changes needed)

 -- Philipp Kaluza <debian@ghostroute.eu>  Fri, 29 Jul 2011 23:46:20 +0200

pida (0.5.1-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Uses deprecated libgtkhtml2" by moving python-gtkhtml2 dependency
    into Suggests. (Closes: #549033)

 -- Marek Kubica <marek@xivilization.net>  Sat, 17 Jul 2010 15:47:56 +0200

pida (0.5.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Prepare for the upcoming Python 2.6 transition; thanks to Piotr Ożarowski
    for the bug report and to Jonathan Wiltshire for the patch; Closes: #556149
    - debian/rules
      + pass --prefix=/usr when installing
  * debian/control
    - replaced Depends on python-gnome2 with python-gconf; thanks to Josselin
      Mouette for the report; Closes: #541586

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Nov 2009 19:15:13 +0100

pida (0.5.1-5) unstable; urgency=low

  * now that python-gtkhtml2 has reached testing, depend on this
    instead of the more general python-gnome2-extras. Closes: #485302
  * fix bashism in debian/rules. (Thanks Albin Tonnerre, closes: #489750.)
  * update maintainer's email address
  * debian/control: update Standards-Version to 3.8.0

 -- Philipp Kaluza <debian@ghostroute.eu>  Wed, 23 Jul 2008 07:03:43 +0200

pida (0.5.1-4) unstable; urgency=low

  [ Philipp Kaluza ]
  * add Vcs-Browser and Vcs-Git fields to control file
  * explicitly build-depend on pkg-config to (hopefully)
    fix build failures on m86k and mips
  * also add DM-Upload-Allowed to control file
  * now that the python2.5 transition is over, always
    try to build against all supported python versions
  * make sure the binaries call only the default python interpreter

 -- Jan Lübbe <jluebbe@debian.org>  Mon, 09 Jun 2008 12:29:15 +0200

pida (0.5.1-3) unstable; urgency=low

  * taking over package, with maintainer's approval
  * depend on python-pkg-resources instead of python-setuptools
    (closes: #468727)
  * start using sh_shlibdeps as we are building shared objects now
  * don't create /usr/lib/pida/ anymore
  * bump Standards-Version up to 3.7.3.0

 -- Philipp Kaluza <debian@ghostroute.eu>  Mon, 31 Mar 2008 19:26:26 +0200

pida (0.5.1-2) unstable; urgency=low

  * Depend on librsvg2-common, which is not pulled in by the other depends
    (closes: #394860)
  * gvim is no alternative for python-gnome2 and python-gnome2-extras
    (closes: #436431)
  * Pida now uses ~/.pida2, so it can no longer be confused by old
    configurations (closes: #421378)
  * Culebra is no longer supported by upstream (closes: #349009)
  * Update manpage (closes: #440375)
  * Update watchfile (pida is now called PIDA)

 -- Jan Luebbe <jluebbe@debian.org>  Wed, 05 Sep 2007 17:54:09 +0200

pida (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch

 -- Jan Luebbe <jluebbe@debian.org>  Sat, 04 Aug 2007 21:49:53 +0200

pida (0.5.0-1) unstable; urgency=low

  [ Jan Luebbe ]
  * New upstream release (closes: #432515)
  * Updated debian/copyright
  * Menu transition

  [ Christoph Haas ]
  * Conversion to debhelper

 -- Jan Luebbe <jluebbe@lasnet.de>  Tue, 10 Jul 2007 13:45:13 +0200

pida (0.4.4-1) unstable; urgency=low

  * New upstream release (closes: #419129)
  * Add dependency on python-glade2 (closes: #418716)
  * Update copyright

 -- Jan Luebbe <jluebbe@lasnet.de>  Tue, 17 Apr 2007 16:08:06 +0200

pida (0.4.2-1) experimental; urgency=low

  * New upstream release
  * Update watch file for code.google.com

 -- Jan Luebbe <jluebbe@lasnet.de>  Thu,  4 Jan 2007 18:02:14 +0100

pida (0.4.1-1) experimental; urgency=low

  * New upstream release
  * Update depends.
  * Suggest pyflakes.

 -- Jan Luebbe <jluebbe@lasnet.de>  Fri, 15 Dec 2006 17:02:02 +0100

pida (0.3.1-2) unstable; urgency=low

  * Update to new debian policy (No changes needed).
  * Update to new python policy.
    - Install to /usr/share/pida
  * Thighten dependancy on python-setuptools. (Closes: #377432)

 -- Jan Luebbe <jluebbe@lasnet.de>  Tue, 18 Jul 2006 15:54:06 +0200

pida (0.3.1-1) unstable; urgency=low

  * New upstream release (closes: #344199, #355606, #334237)
  * Update build depends.

 -- Jan Luebbe <jluebbe@lasnet.de>  Sat, 18 Mar 2006 16:54:26 +0100

pida (0.2.2-2) unstable; urgency=low

  * Rebuilt as arch independent. (closes: #329435)
  * Pida supports Culebra as an alternative to gvim. Culebra needs
    python-gnome2 and python-gnome2-extras, add these to the Depends.
  * Removed useless build-depend on build-essential. (closes: #326963)

 -- Jan Luebbe <jluebbe@lasnet.de>  Tue, 27 Sep 2005 16:01:21 +0200

pida (0.2.2-1) unstable; urgency=low

  * New upstream release
  * Package for upload to Debian (closes: #325415)

 -- Jan Luebbe <jluebbe@lasnet.de>  Sat, 27 Aug 2005 21:06:00 +0200

pida (0.2.1-1) unstable; urgency=low

  * New upstream release.

 -- George Cristian Bîrzan <gcbirzan@wolfheart.ro>  Wed, 22 Jun 2005 02:14:43 +0300

pida (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Multiple Python version package versions.

 -- George Cristian Bîrzan <gcbirzan@wolfheart.ro>  Mon, 20 Jun 2005 13:33:07 +0300

pida (0.1.7-1) unstable; urgency=low



=== debian/control ===
Source: pida
Section: devel
Priority: optional
Maintainer: Philipp Kaluza <debian@ghostroute.eu>
Uploaders: Jan Luebbe <jluebbe@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), pkg-config, python-all-dev (>= 2.6.6-3~), python-setuptools (>= 0.6c8-2), python-gtk2-dev
Standards-Version: 3.9.2.0
Homepage: http://pida.co.uk/
Vcs-Git: git://git.sicherheitsschwankung.de/philipp/pida.git
Vcs-Browser: http://git.sicherheitsschwankung.de/?p=philipp/pida.git;a=summary

Package: pida
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, vim-gnome,
 python-gconf, python-gtk2, python-vte, python-kiwi,
 python-pkg-resources (>= 0.6c8-2), python-glade2, librsvg2-common
Suggests: bicyclerepair, python-profiler, pyflakes, gazpacho (>= 0.7.1)
XB-Python-Version: ${python:Versions}
Description: Python Integrated Development Application, a Python IDE
 PIDA is the Python Integrated Development Application.
 It is an IDE (integrated development environment) written
 in Python (http://www.python.org/) and the GTK+
 (http://www.pygtk.org/) graphical toolkit.
 .
 Pida is an IDE, but one that is slightly different from
 other IDEs. Rather than attempting to write a set of
 development tools  of its own, Pida uses tools that the
 developer has available. In this regards Pida can be used as
 a framework for putting together your own bespoke IDE.
 .
 Although still a young application, Pida can already boast
 a huge number of features because of the power of some of
 the tools it integrates. For example features such as code completion
 and syntax highlighting are well implemented in Pida's integrated editors
 far better than any editor built for a commercial IDE. Pida currently features:
 Full code editing (syntax highlighting, code completion, automatic indenting,
 block commenting etc) Project management, version control management,
 Python debugger and profiler, GTK+ graphical user interface building and
 rapid application design, Pastebin integration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
    | grep ^Version: | cut -d ' ' -f 2 | cut -d '-' -f 1)

PYVERS=$(shell pyversions -vr)

clean:
	dh_testdir
	dh_testroot
	rm -f build-*
	rm -rf build
	find . -name *\.py[co] -exec rm {} \;
	-rm -rf dist
	-rm -rf pida.egg-info
	-rm -f moo/moo-pygtk.c moo/moomarshals.[ch] moo/stock-moo.h 
	dh_clean

build:

build-arch: build

build-indep: build

install: $(PYVERS:%=install-python%)
	# override the setup.py-installed binaries with canonical versions,
	# so we always call the default python interpreter
	cp $(CURDIR)/bin/pida $(CURDIR)/debian/pida/usr/bin/
	cp $(CURDIR)/bin/pida-remote $(CURDIR)/debian/pida/usr/bin/

install-python%:
	@echo "----------- BUILDING FOR $* ------------"
	# Fix executable png from source tarball
	chmod 644 pida/resources/pixmaps/pida-icon.png
	python$* setup.py install \
		--root $(CURDIR)/debian/pida \
		--prefix=/usr
		#--install-lib $(CURDIR)/debian/pida/usr/share/pida \
		#--install-data $(CURDIR)/debian/pida/usr/share/pida \
		#--install-scripts $(CURDIR)/debian/pida/usr/bin

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdirs
	dh_install
	dh_installdocs
#       dh_installexamples examples/*
	dh_installman
	dh_installmenu
	dh_python2
	dh_strip
	dh_compress -X.py
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch install

=== debian/watch ===
version=3
http://code.google.com/p/pida/downloads/list .*/PIDA-(.*)\.tar\.gz
